/**
*Afp App
*Implementing an App to manage Afp.
*/
var AfpApp = AfpApp || {};  //Define Afp App namespace.
/**
*Constructor UNAS App
*/
AfpApp.App = function () {
    this.id = 'AFP Service';
    this.name = 'AFP Service';
    this.version = '6.0.10';
    this.active = false;
    this.menuIcon = '/apps/afp/images/logo.png?v=6.0.10&';
    this.shortcutIcon = '/apps/afp/images/logo.png?v=6.0.10&';
    this.entryUrl = '/apps/afp/afp.html?v=6.0.10&';
    var self = this;
    this.AfpAppWindow = function () { //create app window
        if(UNAS.CheckAppState('AFP Service')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'AfpAppWindow',
            title: UNAS._('AFP Service'),
            loadMethod: 'xhr',
            icon: '/apps/afp/images/logo_small.png?v=6.0.10&',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            contentURL: '/apps/afp/afp.html?v=6.0.10&',
            require: {  css: ['/apps/afp/css/afp.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("AFP Service",'AfpAppWindow')}
        });
    };
    this.AfpUninstall = function () {
        UNAS.RemoveDesktopShortcut('AFP Service');
        UNAS.RemoveMenu('AFP Service');
        UNAS.RemoveAppFromGroups('AFP Service', 'ControlPanel');
        UNAS.RemoveAppFromGroups('AFP Service', 'Help');
        UNAS.RemoveAppFromApps('AFP Service');
    }

    new UNAS.Menu('UNAS_ControlPanel_Network_Menu', this.name, this.menuIcon, 'AFP Service', '', this.AfpAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Afp Service', this.AfpAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type': 'Network', 'Location': 5, 'Icon': this.shortcutIcon, 'Url': this.entryUrl}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type': 'Network', 'Location': 3, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl}, {});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('AFP Service', UNAS._('AFP Service'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('AfpAppWindow', UNAS._('AFP Service'));
        }
    }
    UNAS.LoadTranslation('/apps/afp/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.AfpAppWindow, this.AfpUninstall);
};

new AfpApp.App();
